import request from '@/utils/request'

// 获取仓库列表
export function getWarehouse(parameter) {
  return request({
    url: '/api/warehouse',
    method: 'get',
    params: parameter
  })
}
// 获取仓库详情
export function getWarehouseDetails(parameter) {
  return request({
    url: '/api/warehouse/' + parameter,
    method: 'get',
  })
}

// 添加仓库
export function addWarehouse(parameter) {
  return request({
    url: '/api/warehouse',
    method: 'post',
    data: parameter
  })
}

// 编辑仓库
export function putWarehouse(parameter) {
  return request({
    url: '/api/warehouse',
    method: 'put',
    data: parameter
  })
}

// 删除仓库
export function delWarehouse(parameter) {
  return request({
    url: '/api/warehouse',
    method: 'delete',
    data: parameter
  })
}
